#! /bin/bash
# blank-rename.sh
#
#  Substitue les tirets soulignés par des blancs dans tous les fichiers d'un
#+ répertoire.

UN=1                     # Pour obtenir le singulier/pluriel correctement (voir
                         # plus bas).
nombre=0                 # Garde trace du nombre de fichiers renommés.
TROUVE=0                 # Valeur de retour en cas de succès.

for fichier in *         #Traverse tous les fichiers du répertoire.
do
     echo "$fichier" | grep -q " "         #  Vérifie si le nom du fichier
     if [ $? -eq $TROUVE ]                 #+ contient un (des) espace(s).
     then
       nomf=$fichier                       # Oui, ce nom de fichier doit être travaillé.
       n=`echo $nomf | sed -e "s/ /_/g"`   # Remplace l'espace par un tiret.
       mv "$nomf" "$n"                     # Réalise le renommage.
       let "nombre += 1"
     fi
done   

if [ "$nombre" -eq "$UN" ]                 # Pour une bonne grammaire.
then
  echo "$nombre fichier renommé."
else 
  echo "$nombre fichiers renommés."
fi 

exit 0
